import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotTruckWeighDoublePic/` + url, ...arg)

/**
 * 过磅记录图片表Api接口管理器
 *
 * @author xiang
 * @date  2023/10/10 17:32
 **/
export default {
	// 获取过磅记录图片表分页
	depotTruckWeighDoublePicPage(data) {
		return request('page', data, 'get')
	},
	// 获取过磅记录图片表列表
	depotTruckWeighDoublePicList(data) {
		return request('list', data, 'get')
	},
	// 提交过磅记录图片表表单 edit为true时为编辑，默认为新增
	depotTruckWeighDoublePicSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除过磅记录图片表
	depotTruckWeighDoublePicDelete(data) {
		return request('delete', data)
	},
	// 获取过磅记录图片表详情
	depotTruckWeighDoublePicDetail(data) {
		return request('detail', data, 'get')
	}
}
